Requires iOS 11.0 or later.